# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-01-29 19:41
from django.db import migrations, models
import django.db.models.deletion
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_files', '0101_squashed'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalfile',
            name='history_change_reason',
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='corporation_general_contractor',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='General contractor organization'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='file_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.FileType',
                                    verbose_name='File type'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='general_contractor',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='General contractor'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Creator'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Last editor'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Person in charge'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to=settings.AUTH_USER_MODEL,
                                    verbose_name='Locked by'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='main_town',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Town',
                                    verbose_name='Main town'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='organization',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='Organization'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='permit_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.PermitType',
                                    verbose_name='Permit type'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='planning_service',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.Organization',
                                    verbose_name='Planning service organization'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='related_file',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.File',
                                    verbose_name='Related file'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='requested_operation_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='ishtar_common.OperationType',
                                    verbose_name='Requested operation type'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='responsible_town_planning_service',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Responsible for planning service'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='saisine_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+',
                                    to='archaeological_files.SaisineType',
                                    verbose_name='Type de saisine'),
        ),
        migrations.AlterField(
            model_name='historicalfile',
            name='scientist',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True,
                                    on_delete=django.db.models.deletion.DO_NOTHING,
                                    related_name='+', to='ishtar_common.Person',
                                    verbose_name='Scientist in charge'),
        ),
    ]
