import os

from django.db import migrations
from django.core.management import call_command


def load_data(apps, __):
    DevelopmentType = apps.get_model("archaeological_files", "developmenttype")
    if not DevelopmentType.objects.count():
        migration = "0117_developmenttype.json"
        json_path = os.sep.join(os.path.abspath(__file__).split(os.sep)[:-1] + [migration])
        call_command("loaddata", json_path)
    MonitoringJustificationType = apps.get_model("archaeological_files", "monitoringjustificationtype")
    if not MonitoringJustificationType.objects.count():
        migration = "0117_monitoringjustificationtype.json"
        json_path = os.sep.join(os.path.abspath(__file__).split(os.sep)[:-1] + [migration])
        call_command("loaddata", json_path)


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_files', '0116_developmenttype_monitoring_justif'),
    ]

    operations = [
        migrations.RunPython(load_data)
    ]
