# -*- coding: utf-8 -*-
# Generated by Django 1.11.27 on 2020-01-23 18:21
import archaeological_finds.models_treatments
import archaeological_finds.models
from django.conf import settings
import django.contrib.postgres.indexes
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('archaeological_finds', '0101_squashed'),
        ('archaeological_context_records', '0102_link_apps'),
        ('ishtar_common', '0201_squashed'),
        ('archaeological_operations', '0101_squashed'),
        ('archaeological_warehouse', '0101_squashed'),
    ]

    operations = [
        migrations.AddField(
            model_name='treatment',
            name='container',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_warehouse.Container', verbose_name='Container'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='documents',
            field=models.ManyToManyField(blank=True, related_name='treatments', to='ishtar_common.Document', verbose_name='Documents'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='treatments', to='archaeological_finds.TreatmentFile', verbose_name='Associated request'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='history_creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='history_modifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Last editor'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_finds_treatment', to='ishtar_common.Import'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='location',
            field=models.ForeignKey(blank=True, help_text='Location where the treatment is done. Target warehouse for a move.', null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_warehouse.Warehouse', verbose_name='Location'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='lock_user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Locked by'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='main_image',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_image_treatments', to='ishtar_common.Document', verbose_name='Main image'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='organization',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='treatments', to='ishtar_common.Organization', verbose_name='Organization'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='person',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='treatments', to='ishtar_common.Person', verbose_name='Responsible'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='scientific_monitoring_manager',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='manage_treatments', to='ishtar_common.Person', verbose_name='Scientific monitoring manager'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='treatment_state',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archaeological_finds.TreatmentState', verbose_name='State'),
        ),
        migrations.AddField(
            model_name='treatment',
            name='treatment_types',
            field=models.ManyToManyField(to='archaeological_finds.TreatmentType', verbose_name='Treatment type'),
        ),
        migrations.AddField(
            model_name='property',
            name='administrative_act',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archaeological_operations.AdministrativeAct', verbose_name='Administrative act'),
        ),
        migrations.AddField(
            model_name='property',
            name='find',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archaeological_finds.Find', verbose_name='Find'),
        ),
        migrations.AddField(
            model_name='property',
            name='history_creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='property',
            name='history_modifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Last editor'),
        ),
        migrations.AddField(
            model_name='property',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_finds_property', to='ishtar_common.Import'),
        ),
        migrations.AddField(
            model_name='property',
            name='lock_user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Locked by'),
        ),
        migrations.AddField(
            model_name='property',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='properties', to='ishtar_common.Person', verbose_name='Person'),
        ),
        migrations.AddField(
            model_name='objecttype',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.ObjectType', verbose_name='Parent'),
        ),
        migrations.AddField(
            model_name='materialtype',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.MaterialType', verbose_name='Parent'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='applicant',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='applicant_organisation',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Organization'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='associated_basket',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.FindBasket'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='in_charge',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Document'),
        ),
        migrations.AddField(
            model_name='historicaltreatmentfile',
            name='type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.TreatmentFileType'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='container',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_warehouse.Container'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='file',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.TreatmentFile'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='location',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_warehouse.Warehouse'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Document'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='organization',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Organization'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='person',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='scientific_monitoring_manager',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Person'),
        ),
        migrations.AddField(
            model_name='historicaltreatment',
            name='treatment_state',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.TreatmentState'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='checked_type',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.CheckedType'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='collection',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_warehouse.Collection'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='conservatory_state',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.ConservatoryState'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='container',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_warehouse.Container'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='container_ref',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_warehouse.Container'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='downstream_treatment',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.Treatment'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='main_image',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.Document'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='material_type_quality',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.MaterialTypeQualityType'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='object_type_quality',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.ObjectTypeQualityType'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='treatment_emergency',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.TreatmentEmergencyType'),
        ),
        migrations.AddField(
            model_name='historicalfind',
            name='upstream_treatment',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.Treatment'),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='batch',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_finds.BatchType'),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='context_record',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='archaeological_context_records.ContextRecord'),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='history_creator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='history_modifier',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='history_user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='lock_user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='historicalbasefind',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='ishtar_common.SpatialReferenceSystem'),
        ),
        migrations.AddField(
            model_name='findbasket',
            name='items',
            field=models.ManyToManyField(blank=True, related_name='basket', to='archaeological_finds.Find'),
        ),
        migrations.AddField(
            model_name='findbasket',
            name='shared_with',
            field=models.ManyToManyField(blank=True, related_name='shared_findbaskets', to='ishtar_common.IshtarUser', verbose_name='Shared (read) with'),
        ),
        migrations.AddField(
            model_name='findbasket',
            name='shared_write_with',
            field=models.ManyToManyField(blank=True, related_name='shared_write_findbaskets', to='ishtar_common.IshtarUser', verbose_name='Shared (read/edit) with'),
        ),
        migrations.AddField(
            model_name='findbasket',
            name='user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='findbaskets', to='ishtar_common.IshtarUser', verbose_name='Owner'),
        ),
        migrations.AddField(
            model_name='find',
            name='alteration_causes',
            field=models.ManyToManyField(blank=True, related_name='finds', to='archaeological_finds.AlterationCauseType', verbose_name='Alteration cause'),
        ),
        migrations.AddField(
            model_name='find',
            name='alterations',
            field=models.ManyToManyField(blank=True, related_name='finds', to='archaeological_finds.AlterationType', verbose_name='Alteration'),
        ),
        migrations.AddField(
            model_name='find',
            name='base_finds',
            field=models.ManyToManyField(related_name='find', to='archaeological_finds.BaseFind', verbose_name='Base find'),
        ),
        migrations.AddField(
            model_name='find',
            name='checked_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.CheckedType', verbose_name='Check'),
        ),
        migrations.AddField(
            model_name='find',
            name='collection',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='finds', to='archaeological_warehouse.Collection', verbose_name='Collection'),
        ),
        migrations.AddField(
            model_name='find',
            name='communicabilities',
            field=models.ManyToManyField(blank=True, related_name='find', to='archaeological_finds.CommunicabilityType', verbose_name='Communicability'),
        ),
        migrations.AddField(
            model_name='find',
            name='conservatory_state',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.ConservatoryState', verbose_name='Conservatory state'),
        ),
        migrations.AddField(
            model_name='find',
            name='container',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='finds', to='archaeological_warehouse.Container', verbose_name='Container'),
        ),
        migrations.AddField(
            model_name='find',
            name='container_ref',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='finds_ref', to='archaeological_warehouse.Container', verbose_name='Reference container'),
        ),
        migrations.AddField(
            model_name='find',
            name='cultural_attributions',
            field=models.ManyToManyField(blank=True, to='archaeological_operations.CulturalAttributionType', verbose_name='Cultural attribution'),
        ),
        migrations.AddField(
            model_name='find',
            name='datings',
            field=models.ManyToManyField(related_name='find', to='archaeological_context_records.Dating', verbose_name='Dating'),
        ),
        migrations.AddField(
            model_name='find',
            name='documents',
            field=models.ManyToManyField(blank=True, related_name='finds', to='ishtar_common.Document', verbose_name='Documents'),
        ),
        migrations.AddField(
            model_name='find',
            name='downstream_treatment',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='upstream', to='archaeological_finds.Treatment', verbose_name='Downstream treatment'),
        ),
        migrations.AddField(
            model_name='find',
            name='history_creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='find',
            name='history_modifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Last editor'),
        ),
        migrations.AddField(
            model_name='find',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_finds_find', to='ishtar_common.Import'),
        ),
        migrations.AddField(
            model_name='find',
            name='integrities',
            field=models.ManyToManyField(blank=True, related_name='find', to='archaeological_finds.IntegrityType', verbose_name='Integrity / interest'),
        ),
        migrations.AddField(
            model_name='find',
            name='lock_user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Locked by'),
        ),
        migrations.AddField(
            model_name='find',
            name='main_image',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='main_image_finds', to='ishtar_common.Document', verbose_name='Main image'),
        ),
        migrations.AddField(
            model_name='find',
            name='material_type_quality',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='finds', to='archaeological_finds.MaterialTypeQualityType', verbose_name='Material type quality'),
        ),
        migrations.AddField(
            model_name='find',
            name='material_types',
            field=models.ManyToManyField(blank=True, related_name='finds', to='archaeological_finds.MaterialType', verbose_name='Material types'),
        ),
        migrations.AddField(
            model_name='find',
            name='object_type_quality',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='finds', to='archaeological_finds.ObjectTypeQualityType', verbose_name='Object type quality'),
        ),
        migrations.AddField(
            model_name='find',
            name='object_types',
            field=models.ManyToManyField(blank=True, related_name='find', to='archaeological_finds.ObjectType', verbose_name='Object types'),
        ),
        migrations.AddField(
            model_name='find',
            name='preservation_to_considers',
            field=models.ManyToManyField(blank=True, related_name='finds_recommended', to='archaeological_finds.TreatmentType', verbose_name='Recommended treatments'),
        ),
        migrations.AddField(
            model_name='find',
            name='remarkabilities',
            field=models.ManyToManyField(blank=True, related_name='find', to='archaeological_finds.RemarkabilityType', verbose_name='Remarkability'),
        ),
        migrations.AddField(
            model_name='find',
            name='treatment_emergency',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.TreatmentEmergencyType', verbose_name='Treatment emergency'),
        ),
        migrations.AddField(
            model_name='find',
            name='treatments',
            field=models.ManyToManyField(blank=True, help_text='Related treatments when no new find is created', related_name='finds', to='archaeological_finds.Treatment', verbose_name='Treatments'),
        ),
        migrations.AddField(
            model_name='find',
            name='upstream_treatment',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='downstream', to='archaeological_finds.Treatment', verbose_name='Upstream treatment'),
        ),
        migrations.AddField(
            model_name='conservatorystate',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.ConservatoryState', verbose_name='Parent'),
        ),
        migrations.AddField(
            model_name='communicabilitytype',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.CommunicabilityType', verbose_name='Parent'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='batch',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.BatchType', verbose_name='Batch/object'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='context_record',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='base_finds', to='archaeological_context_records.ContextRecord', verbose_name='Context Record'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='history_creator',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Creator'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='history_modifier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Last editor'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='imports',
            field=models.ManyToManyField(blank=True, related_name='imported_archaeological_finds_basefind', to='ishtar_common.Import'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='lock_user',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Locked by'),
        ),
        migrations.AddField(
            model_name='basefind',
            name='spatial_reference_system',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ishtar_common.SpatialReferenceSystem', verbose_name='Spatial Reference System'),
        ),
        migrations.AddField(
            model_name='alterationtype',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.AlterationType', verbose_name='Parent'),
        ),
        migrations.AddField(
            model_name='alterationcausetype',
            name='parent',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archaeological_finds.AlterationCauseType', verbose_name='Parent'),
        ),
        migrations.AddIndex(
            model_name='treatmentfile',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_4ecdf7_gin'),
        ),
        migrations.AlterUniqueTogether(
            name='treatmentfile',
            unique_together=set([('year', 'index')]),
        ),
        migrations.AddIndex(
            model_name='treatment',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_011f1a_gin'),
        ),
        migrations.AlterUniqueTogether(
            name='treatment',
            unique_together=set([('year', 'index')]),
        ),
        migrations.AddIndex(
            model_name='property',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_cb9c09_gin'),
        ),
        migrations.AddIndex(
            model_name='find',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_622f41_gin'),
        ),
        migrations.AddIndex(
            model_name='basefind',
            index=django.contrib.postgres.indexes.GinIndex(fields=['data'], name='archaeologi_data_fb3df5_gin'),
        ),
        migrations.RunSQL(
            archaeological_finds.models.FindNonModifTreatments.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindNonModifTreatments.CREATE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindUpstreamTreatments.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindUpstreamTreatments.CREATE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindDownstreamTreatments.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindDownstreamTreatments.CREATE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindTreatments.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FindTreatments.CREATE_SQL),
        migrations.RunSQL(archaeological_finds.models.BFBulkView.DELETE_SQL),
        migrations.RunSQL(archaeological_finds.models.BFBulkView.CREATE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FirstBaseFindView.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FirstBaseFindView.CREATE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FBulkView.DELETE_SQL),
        migrations.RunSQL(
            archaeological_finds.models.FBulkView.CREATE_SQL),
    ]
