import os

from django.db import migrations
from django.core.management import call_command


def load_data(apps, __):
    CommunicabilityType = apps.get_model("archaeological_finds", "communicabilitytype")
    if not CommunicabilityType.objects.count():
        migration = "0125_data_migration_communicability.json"
        json_path = os.sep.join(os.path.abspath(__file__).split(os.sep)[:-1] + [migration])
        call_command("loaddata", json_path)

    FunctionalArea = apps.get_model("archaeological_finds", "functionalarea")
    if not FunctionalArea.objects.count():
        migration = "0125_data_migration_functionalarea.json"
        json_path = os.sep.join(os.path.abspath(__file__).split(os.sep)[:-1] + [migration])
        call_command("loaddata", json_path)


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_finds', '0124_verbose_names'),
    ]

    operations = [
        migrations.RunPython(load_data)
    ]
