import os

from django.db import migrations
from django.core.management import call_command


def load_data(apps, __):
    CulturalAttributionType = apps.get_model("archaeological_operations", "culturalattributiontype")
    if not CulturalAttributionType.objects.count():
        migration = "0117_data_migration_culturalattributiontype.json"
        json_path = os.sep.join(os.path.abspath(__file__).split(os.sep)[:-1] + [migration])
        call_command("loaddata", json_path)


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_operations', '0116_deposit_dates'),
    ]

    operations = [
        migrations.RunPython(load_data)
    ]
