# Generated by Django 2.2.28 on 2025-03-17 17:52

from django.db import migrations, models


def migrate_intented_to(apps, __):
    ActType = apps.get_model("archaeological_operations", "ActType")
    for act in ActType.objects.all():
        if act.intented_to == "F":
            act.intented_to_file = True
        elif act.intented_to == "O":
            act.intented_to_operation = True
        elif act.intented_to == "T":
            act.intented_to_treatment = True
        elif act.intented_to == "TF":
            act.intented_to_treatment_request = True
        act.save()


class Migration(migrations.Migration):

    dependencies = [
        ('archaeological_operations', '0121_ishtar_users'),
    ]

    operations = [
        migrations.AddField(
            model_name='acttype',
            name='intented_to_file',
            field=models.BooleanField(default=False, verbose_name='Intented to archaeological file'),
        ),
        migrations.AddField(
            model_name='acttype',
            name='intented_to_operation',
            field=models.BooleanField(default=False, verbose_name='Intented to operation'),
        ),
        migrations.AddField(
            model_name='acttype',
            name='intented_to_treatment',
            field=models.BooleanField(default=False, verbose_name='Intented to treatment'),
        ),
        migrations.AddField(
            model_name='acttype',
            name='intented_to_treatment_request',
            field=models.BooleanField(default=False, verbose_name='Intented to treatment request'),
        ),
        migrations.RunPython(migrate_intented_to)
    ]
