# Generated by Django 2.2.24 on 2024-06-07 17:22

from django.db import migrations, models


def generate_cache_authors(apps, __):
    Document = apps.get_model('ishtar_common', 'Document')
    for doc in Document.objects.all():
        doc.cache_authors = " ; ".join([author.cached_label for author in doc.authors.all()])
        doc.skip_history_when_saving = True
        doc.no_post_process()
        doc.save()


class Migration(migrations.Migration):

    dependencies = [
        ('ishtar_common', '0246_profile_rel_engine_default_changed_to_cache_tables'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='jsondatasection',
            options={'ordering': ['order', 'name'], 'verbose_name': 'Custom data - Section', 'verbose_name_plural': 'Custom data - Sections'},
        ),
        migrations.AddField(
            model_name='document',
            name='cache_authors',
            field=models.TextField(blank=True, db_index=True, default='', help_text='Cached value - do not edit', verbose_name='Authors'),
        ),
        migrations.AddField(
            model_name='historicaldocument',
            name='cache_authors',
            field=models.TextField(blank=True, db_index=True, default='', help_text='Cached value - do not edit', verbose_name='Authors'),
        ),
        migrations.RunPython(generate_cache_authors)
    ]
