# Generated by Django 2.2.24 on 2024-11-13 17:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('ishtar_common', '0256_clean_add_own_permissions'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='import',
            options={'permissions': (('view_own_import', 'Can view own Import'), ('add_own_import', 'Can add own Import'), ('change_own_import', 'Can change own Import'), ('delete_own_import', 'Can delete own Import')), 'verbose_name': 'Import - Import', 'verbose_name_plural': 'Import - Imports'},
        ),
        migrations.AlterField(
            model_name='permissionrequest',
            name='include_upstream_items',
            field=models.BooleanField(default=False, help_text='All items associated by upstream link math the request. For instance, match is done for all finds associated with own context records', verbose_name='Include upstream items'),
        ),
        migrations.CreateModel(
            name='SheetFilter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(max_length=200, verbose_name='Key')),
                ('exclude_or_include', models.CharField(choices=[('E', 'exclude'), ('I', 'include')], default='E', max_length=1, verbose_name='Exclude or include')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content_type_sheetfilter', to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': 'Sheet filter',
                'verbose_name_plural': 'Sheet filters',
            },
        ),
        migrations.CreateModel(
            name='FilteredSheet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Name')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content_type_filteredsheet', to='contenttypes.ContentType')),
                ('filters', models.ManyToManyField(blank=True, related_name='filtered_sheet', to='ishtar_common.SheetFilter', verbose_name='Filters')),
            ],
            options={
                'verbose_name': 'Filtered sheet',
                'verbose_name_plural': 'Filtered sheets',
            },
        ),
        migrations.AddField(
            model_name='profiletype',
            name='filtered_sheets',
            field=models.ManyToManyField(blank=True, related_name='profile_types', to='ishtar_common.FilteredSheet', verbose_name='Filtered sheets'),
        ),
        migrations.AlterField(
            model_name='apisheetfilter',
            name='key',
            field=models.TextField(default='-', verbose_name='Key'),
        ),
        migrations.AlterField(
            model_name='sheetfilter',
            name='key',
            field=models.TextField(default='-', verbose_name='Key'),
        ),
    ]
